# Get Flow Control Key

> Get details of a specific Flow Control key

## Endpoint

`GET https://qstash-{region}.upstash.io/v2/flowControl/{flowControlKey}`

## Parameters

- `flowControlKey` (path, string, required): The Flow Control key to retrieve

## Responses

### 200 - Flow control key details

- `flowControlKey` (string): The flow control key name
- `waitListSize` (integer): The number of messages waiting due to flow control configuration.
- `parallelismMax` (integer): The configured maximum number of messages allowed to run concurrently, if parallelism is set.
- `parallelismCount` (integer): The current number of messages running in parallel.
- `rateMax` (integer): The configured maximum number of messages allowed per rate period, if rate limiting is set.
- `rateCount` (integer): The number of messages dispatched in the current rate period.
- `ratePeriod` (integer): The length of the rate period in seconds.
- `ratePeriodStart` (integer): Unix timestamp (seconds) when the current rate period started.
- `isPinnedParallelism` (boolean): True if the flow-control key has a pinned parallelism configuration.
- `isPinnedRate` (boolean): True if the flow-control key has a pinned rate configuration.
- `isPaused` (boolean): True if the delivery of messages associated with the flow-control key is paused.

### 404 - Flow Control key not found

- `error` (string, required): Error message

## cURL

```bash
curl --request GET \
  --url https://qstash-{region}.upstash.io/v2/flowControl/{flowControlKey} \
  --header 'Authorization: Bearer <token>'
```
